DRM_VMA_OFFSET_REMOV(9)

NAME
drm_vma_offset_remove - Remove offset node from manager

SYNOPSIS

void drm_vma_offset_remove(struct drm_vma_offset_manager * mgr, struct drm_vma_offset_node * node);

ARGUMENTS

mgr
    Manager object

node
    Node to be removed

DESCRIPTION

Remove a node from the offset manager. If the node wasn't added before, this does nothing. After this call returns, the offset and size will be 0 until a new offset is allocated via drm_vma_offset_add again. Helper functions like drm_vma_node_start and drm_vma_node_offset_addr will return 0 if no offset is allocated.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT